function gadget:GetInfo()
   return {
      name         = "MetalSpot Placer",
      desc         = "Places Metal spots",
      author       = "Doo",
      date         = "26/04/2016",
      license      = "GPL 2.0 or later", -- should be compatible with Spring
      layer        = 0,
      enabled      = true
   }
end


if (gadgetHandler:IsSyncedCode()) then  --Sync
	local gf = 0
	function gadget:Initialize() --Engine started	
	local maxmetal = 50
	local coeff = 4
	ax = {314,170,130,264,0,360,872,512,570,80,880,388,458,920,918}
	az = {380,380,134,1162,889,270,50,0,0,44,162,1430,1320,1196,1403}
	bx = {710,140,134,216,80,270,152,96,236,100,140,200,76,70,106}
	bz = {780,526,130,70,104,40,50,170,46,50,120,100,64,34,134}
	tx = {}
	tz = {}
	
	for j = 1,1 do
		for a = 1, 70 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
	for j = 2,2 do
		for a = 71, 90 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 3,3 do
		for a = 91, 100 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 4,4 do
		for a = 101, 105 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 5,6 do
		for a = 106, 125 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 7,7 do
		for a = 126, 145 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 8,12 do
		for a = 146, 195 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 13,14 do
		for a = 196, 205 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
		for j = 15,15 do
		for a = 206, 215 do
		tx[a] = math.random(((math.floor((ax[j])*0.625))*(1/2)),(((math.floor((ax[j])*0.625))*(1/2))+((math.floor((bx[j])*0.625))*(1/2))))
		tz[a] = math.random(((math.floor((az[j])*0.625))*(1/2)),(((math.floor((az[j])*0.625))*(1/2))+((math.floor((bz[j])*0.625))*(1/2))))
		end
	end
	for i = 1,215 do
		local rand =  math.random(0,9)
		if rand == 0 then
		for k = 0,3 do
			for v = 0,3 do		
			Spring.SetMetalAmount(((tx[i])+((k*1))), ((tz[i])+(v*1)), ((coeff)*(maxmetal)))
			Spring.SetMetalAmount((((1024)*0.625)-(tx[i])+(k*1)), (tz[i]+(v*1)), ((coeff)*(maxmetal)))
			end
		end
			local y = Spring.GetGroundHeight(((tx[i])*16)+32,((tz[i])*16)+32)
			local fid = Spring.CreateFeature( "MetalSpot",((tx[i])*16)+32,y , ((tz[i])*16)+32)
			Spring.SetFeatureAlwaysVisible(fid, true)
		end
	end
	end
	
	function gadget:GameFrame()
	local maxmetal = 50
	local coeff = 4

	if gf%1500 == 0 then
		for i = 1,215 do
		local rand = math.random(0,250)
		if rand == 0 then
			for k = 0,3 do
				for v = 0,3 do		
				local randbis = math.random (0,1)
				if randbis == 0 then
				Spring.SetMetalAmount((tx[i]+(k*1)), (tz[i]+(v*1)), ((coeff)*(maxmetal)))
				else
				Spring.SetMetalAmount((((1024)*0.625)-(tx[i])+(k*1)), (tz[i]+(v*1)), ((coeff)*(maxmetal)))
		
			end
		end
	end
	local y = Spring.GetGroundHeight(((tx[i])*16)+32,((tz[i])*16)+32)
	local fid = Spring.CreateFeature( "MetalSpot",((tx[i])*16)+32,y , ((tz[i])*16)+32)
	Spring.SetFeatureAlwaysVisible(fid, true)
	end	
	end
	gf = gf + 1
	else
	gf = gf + 1
	end
	
	
end
end



